plotScan {oce} | R Documentation

## Plot seawater data in a low-level fashion

### Description

Plot CTD data as time-series against scan number, to help with trimming extraneous data from a CTD cast.

### Usage

    plotScan(x, which=1, type='l',
        mgp=getOption("oceMgp"),
        mar=c(mgp[1]+1.5,mgp[1]+1.5,mgp[1],mgp[1]), ...)

### Arguments

`x` | A `ctd` object, e.g. as read by `read.ctd`.
`which` | A vector containing numerical codes specifying the panels to draw: 1 for pressure vs scan, 2 for `diff(pressure)` vs scan, 3 for temperature vs scan, and 4 for salinity vs scan.
`type` | line type
`mgp` | 3-element numerical vector to use for `par(mgp)`, and also for `par(mar)`, computed from this. The default is tighter than the R default, in order to use more space for the data and less for the axes.
`mar` | value to be used with `par("mar")`. If set to `NULL`, then `par("mar")` is used. A good choice for a TS diagram with a palette to the right is `mar=par("mar")+c(0, 0, 0, 1))`.
`...` | optional arguments passed to plotting functions.

### Details

Plots `ctd` data as time-series against the scan number, as an aide to trimming to downcasts, etc.

### Author(s)

Dan Kelley

### See Also

`summary.ctd` summarizes a `ctd` object `plot.ctd` plot summary diagram of `ctd` object. `read.ctd` scans `ctd` object from a file.

### Examples

    library(oce)
    data(ctdRaw)
    plotScan(ctdRaw)
    abline(v=c(130, 350), col='red') # useful for ctdTrim()

[Package oce version 0.9-18 Index]